<html>
<head>
<meta charset="utf-8"/>
<title>Twitter</title>
<header>
<h1>Twitter</h1>
</header>
</head>

<body>
<h3> {{display_string}} </h3>
{% if display_string== "User Search" %}
		{% if results%}
		<section>
			{% for row in results %}
				<h4>Username:</h4>
					<div><a href="{{ uri_for('view', key_id= row.key.id()) }}">@{{row.username}}</div>
					<br>
				{%endfor%}

		{% else %}

		<h4>Your Search Returned No Results!</h4>

		{% endif %}

{%elif display_string== "Tweet Search"%}
		{% if results%}

		<section>
				{%	for row in results | sort(attribute='tweets.timestamp',reverse=True) %}

				<div style="width: 850px;background-color: #cecdcc;">
					<h4><div style="float:left;">@{{row.username}}</div></h4>

					<div style="margin-left: 100px;">{{row.tweets.timestamp}}</div>

					<div style="font-size: 20px;">{{row.tweets.content}}</div>
				</div>

				{%	endfor %}


		{% else %}

		<h4>Your Search Returned No Results!</h4>

		{% endif %}

{% endif %}



</section>


<form action= '/' type='submit'>

<input type='submit' name= 'button' value='Back'></input>

</form>

</body>
</html>

<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}

header {
  background-color: #666;
  padding: 25px;
  text-align: center;
  font-size: 20px;
  color: white;
}


</style>
